Model swap

Start a new job

POST
/model-swap

Start a new model swap batch processing job for the authenticated user. A maximum of 10 images can be processed in a single batch.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Request Body

application/json
  1. body
identity_code*Identity Code

The original identity code to swap over the images.

project_id*Project Id

The project identifier where images are stored.

images*array<string>

List of image UUIDs to be processed.

Itemsitems <= 10
post_process?Post Process

Enables or disables post processing for all images in the batch.

Defaultfalse
swap_options?
Default{}
review_config?|

Optional review configuration. If provided, creates a review pipeline for this job. Fields: requires_review (bool), default_reviewer_type (str), default_retouch_method (str), auto_approve_threshold (float).

Defaultnull

Response Body

Successful Response

application/json
  1. response
job_id*Job Id

The ID of the created model swap job.

status*Status

The initial status of the job.

message*Message

A message indicating the job creation status.

curl -X POST "https://example.com/model-swap" \  -H "Content-Type: application/json" \  -d '{    "identity_code": "string",    "project_id": "string",    "images": [      "string"    ]  }'
{  "job_id": "string",  "status": "string",  "message": "string"}